JCRuntimePermission (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacardx.framework
Class JCRuntimePermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              javacardx.framework.JCRuntimePermission

    @TransactionType(value=NOT_SUPPORTED)
    public final class JCRuntimePermission

extends BasicPermission

This class is for Java Card runtime permissions. A JCRuntimePermission contains a name (also referred to as a "target name") but no actions list; the named permission is either granted or not.

The target name is the name of the runtime permission (see below). The naming convention follows the hierarchical property naming convention. Also, an asterisk may appear at the end of the name, following a ".", or by itself, to signify a wildcard match. For example: "credentialManager.*" or "*" is valid, "*Manager" or "c*r" is not valid.

The possible target names are "credentialManager.set", "credentialManager.get", "thread.create" and "thread.modify". Their meaning is defined as follows:

credentialManager.set
  Setting the credential manager used for secure connections.
credentialManager.get
  Getting the credential manager used for secure connections.
thread.create
  Creation of threads.
thread.modify
  Modification of threads, e.g., via calls to Thread `interrupt`, and `setPriority` methods

Since:
  Java Card 3.0
See Also:
  `BasicPermission`, `Permission`, `AccessController`, `AccessControlException`

Field Summary
`static String` | `NAME_CREDENTIAL_MANAGER_GET` The "credentialManager.get" name.
`static String` | `NAME_CREDENTIAL_MANAGER_SET` The "credentialManager.set" name.
`static String` | `NAME_THREAD_CREATE` The "thread.create" name.
`static String` | `NAME_THREAD_MODIFY` The "thread.modify" name.

Constructor Summary
`JCRuntimePermission(String name)` Creates a new JCRuntimePermission with the specified name.

Method Summary

Methods inherited from class java.security.BasicPermission
`equals, getActions, hashCode, implies`

Methods inherited from class java.security.Permission
`getName, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME_CREDENTIAL_MANAGER_SET

    public static final String NAME_CREDENTIAL_MANAGER_SET

  The "credentialManager.set" name.

  See Also:
    Constant Field Values

### NAME_CREDENTIAL_MANAGER_GET

    public static final String NAME_CREDENTIAL_MANAGER_GET

  The "credentialManager.get" name.

  See Also:
    Constant Field Values

### NAME_THREAD_CREATE

    public static final String NAME_THREAD_CREATE

  The "thread.create" name.

  See Also:
    Constant Field Values

### NAME_THREAD_MODIFY

    public static final String NAME_THREAD_MODIFY

  The "thread.modify" name.

  See Also:
    Constant Field Values

Constructor Detail

### JCRuntimePermission

    public JCRuntimePermission(String name)

  Creates a new JCRuntimePermission with the specified name. The name is the symbolic name of the JCRuntimePermission, such as "thread.create", "credentialManager.set", etc. An asterisk may appear at the end of the name, following a ".", or by itself, to signify a wildcard match such as "thread.*".

  Parameters:
    `name` - the name of the JCRuntimePermission.
  Throws:
    `NullPointerException` - if `name` is `null`.
    `IllegalArgumentException` - if `name` is not a recognized target name.
    `SecurityException` - if `name` is not accessible in the caller's context.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.